# openrc services module to modify service runlevels via rc-update in the chroot
#
# Services can be added (to any runlevel, or multiple runlevels) or deleted.
# Handle del with care and only use it if absolutely necessary.
#
# if a service is listed in the conf but is not present/detected on the target system,
# or a runlevel does not exist, it will be ignored and skipped; a warning is logged.
#
---
# initdDir: holds the openrc service directory location
initdDir: /etc/init.d

# runlevelsDir: holds the runlevels directory location
runlevelsDir: /etc/runlevels

# services: a list of entries to **enable**
# disable: a list of entries to **disable**
#
# Each entry has three fields:
#   - name: the service name
#   - (optional) runlevel: can hold any runlevel present on the target
#     system; if no runlevel is provided, "default" is assumed.
#   - (optional) mandatory: if set to true, a failure to modify
#     the service will result in installation failure, rather than just
#     a warning. The default is false.
#
# an entry may also be a single string, which is interpreted
# as the name field (runlevel "default" is assumed then, and not-mandatory).
#
# # Example services and disable settings:
# # - add foo1 to default, but it must succeed
# # - add foo2 to nonetwork
# # - remove foo3 from default
# # - remove foo4 from default
# services:
#     - name: foo1
#       mandatory: true
#     - name: foo2
#       runlevel: nonetwork
# disable:
#     - name: foo3
#       runlevel: default
#     - foo4
services: []
disable: []

